<?xml version="1.0" encoding="utf-8" standalone="no"?>
<problem revision="19" short-name="focusing-on-costs" url="https://polygon.codeforces.com/p3tqCuf/tourist/focusing-on-costs">
    <names>
        <name language="english" value="Focusing on Costs"/>
        <name language="russian" value="Focusing on Costs"/>
    </names>
    <statements>
        <statement charset="UTF-8" language="english" mathjax="true" path="statements/english/problem.tex" type="application/x-tex"/>
        <statement charset="UTF-8" language="russian" mathjax="true" path="statements/russian/problem.tex" type="application/x-tex"/>
        <statement charset="UTF-8" language="russian" mathjax="true" path="statements/.html/russian/problem.html" type="text/html"/>
        <statement language="english" path="statements/.pdf/english/problem.pdf" type="application/pdf"/>
        <statement language="russian" path="statements/.pdf/russian/problem.pdf" type="application/pdf"/>
    </statements>
    <tutorials>
        <tutorial charset="UTF-8" language="english" mathjax="true" path="statements/english/tutorial.tex" type="application/x-tex"/>
        <tutorial language="english" path="statements/.pdf/english/tutorial.pdf" type="application/pdf"/>
    </tutorials>
    <judging cpu-name="Intel(R) Core(TM) i3-8100 CPU @ 3.60GHz" cpu-speed="3600" input-file="" output-file="" run-count="1">
        <testset name="tests">
            <time-limit>2000</time-limit>
            <memory-limit>536870912</memory-limit>
            <test-count>100</test-count>
            <input-path-pattern>tests/%02d</input-path-pattern>
            <answer-path-pattern>tests/%02d.a</answer-path-pattern>
            <tests>
                <test method="manual" sample="true"/>
                <test method="manual" sample="true"/>
                <test cmd="echo 1 2" method="generated"/>
                <test cmd="echo 1 3" method="generated"/>
                <test cmd="echo 2 2" method="generated"/>
                <test cmd="echo 3 1" method="generated"/>
                <test cmd="echo 1 4" method="generated"/>
                <test cmd="echo 2 3" method="generated"/>
                <test cmd="echo 3 2" method="generated"/>
                <test cmd="echo 4 1" method="generated"/>
                <test cmd="echo 1 5" method="generated"/>
                <test cmd="echo 2 4" method="generated"/>
                <test cmd="echo 3 3" method="generated"/>
                <test cmd="echo 4 2" method="generated"/>
                <test cmd="echo 5 1" method="generated"/>
                <test cmd="echo 1 6" method="generated"/>
                <test cmd="echo 2 5" method="generated"/>
                <test cmd="echo 3 4" method="generated"/>
                <test cmd="echo 4 3" method="generated"/>
                <test cmd="echo 5 2" method="generated"/>
                <test cmd="echo 6 1" method="generated"/>
                <test cmd="echo 1 7" method="generated"/>
                <test cmd="echo 2 6" method="generated"/>
                <test cmd="echo 3 5" method="generated"/>
                <test cmd="echo 4 4" method="generated"/>
                <test cmd="echo 5 3" method="generated"/>
                <test cmd="echo 6 2" method="generated"/>
                <test cmd="echo 7 1" method="generated"/>
                <test cmd="echo 1 8" method="generated"/>
                <test cmd="echo 2 7" method="generated"/>
                <test cmd="echo 3 6" method="generated"/>
                <test cmd="echo 4 5" method="generated"/>
                <test cmd="echo 5 4" method="generated"/>
                <test cmd="echo 6 3" method="generated"/>
                <test cmd="echo 7 2" method="generated"/>
                <test cmd="echo 8 1" method="generated"/>
                <test cmd="echo 1 9" method="generated"/>
                <test cmd="echo 2 8" method="generated"/>
                <test cmd="echo 3 7" method="generated"/>
                <test cmd="echo 4 6" method="generated"/>
                <test cmd="echo 5 5" method="generated"/>
                <test cmd="echo 6 4" method="generated"/>
                <test cmd="echo 7 3" method="generated"/>
                <test cmd="echo 8 2" method="generated"/>
                <test cmd="echo 9 1" method="generated"/>
                <test cmd="echo 1 10" method="generated"/>
                <test cmd="echo 2 9" method="generated"/>
                <test cmd="echo 3 8" method="generated"/>
                <test cmd="echo 4 7" method="generated"/>
                <test cmd="echo 5 6" method="generated"/>
                <test cmd="echo 6 5" method="generated"/>
                <test cmd="echo 7 4" method="generated"/>
                <test cmd="echo 8 3" method="generated"/>
                <test cmd="echo 9 2" method="generated"/>
                <test cmd="echo 10 1" method="generated"/>
                <test cmd="echo 2 10" method="generated"/>
                <test cmd="echo 3 9" method="generated"/>
                <test cmd="echo 4 8" method="generated"/>
                <test cmd="echo 5 7" method="generated"/>
                <test cmd="echo 6 6" method="generated"/>
                <test cmd="echo 7 5" method="generated"/>
                <test cmd="echo 8 4" method="generated"/>
                <test cmd="echo 9 3" method="generated"/>
                <test cmd="echo 10 2" method="generated"/>
                <test cmd="echo 3 10" method="generated"/>
                <test cmd="echo 4 9" method="generated"/>
                <test cmd="echo 5 8" method="generated"/>
                <test cmd="echo 6 7" method="generated"/>
                <test cmd="echo 7 6" method="generated"/>
                <test cmd="echo 8 5" method="generated"/>
                <test cmd="echo 9 4" method="generated"/>
                <test cmd="echo 10 3" method="generated"/>
                <test cmd="echo 4 10" method="generated"/>
                <test cmd="echo 5 9" method="generated"/>
                <test cmd="echo 6 8" method="generated"/>
                <test cmd="echo 7 7" method="generated"/>
                <test cmd="echo 8 6" method="generated"/>
                <test cmd="echo 9 5" method="generated"/>
                <test cmd="echo 10 4" method="generated"/>
                <test cmd="echo 5 10" method="generated"/>
                <test cmd="echo 6 9" method="generated"/>
                <test cmd="echo 7 8" method="generated"/>
                <test cmd="echo 8 7" method="generated"/>
                <test cmd="echo 9 6" method="generated"/>
                <test cmd="echo 10 5" method="generated"/>
                <test cmd="echo 6 10" method="generated"/>
                <test cmd="echo 7 9" method="generated"/>
                <test cmd="echo 8 8" method="generated"/>
                <test cmd="echo 9 7" method="generated"/>
                <test cmd="echo 10 6" method="generated"/>
                <test cmd="echo 7 10" method="generated"/>
                <test cmd="echo 8 9" method="generated"/>
                <test cmd="echo 9 8" method="generated"/>
                <test cmd="echo 10 7" method="generated"/>
                <test cmd="echo 8 10" method="generated"/>
                <test cmd="echo 9 9" method="generated"/>
                <test cmd="echo 10 8" method="generated"/>
                <test cmd="echo 9 10" method="generated"/>
                <test cmd="echo 10 9" method="generated"/>
                <test cmd="echo 10 10" method="generated"/>
            </tests>
        </testset>
    </judging>
    <files>
        <resources>
            <file path="files/olymp.sty"/>
            <file path="files/problem.tex"/>
            <file path="files/statements.ftl"/>
            <file path="files/testlib.h" type="h.g++"/>
            <file path="files/tutorial.tex"/>
        </resources>
        <executables>
            <executable>
                <source path="files/checker.cpp" type="cpp.g++17"/>
                <binary path="files/checker.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/echo.cpp" type="cpp.g++17"/>
                <binary path="files/echo.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/validator.cpp" type="cpp.g++17"/>
                <binary path="files/validator.exe" type="exe.win32"/>
            </executable>
        </executables>
    </files>
    <assets>
        <checker type="testlib">
            <source path="files/checker.cpp" type="cpp.g++17"/>
            <binary path="check.exe" type="exe.win32"/>
            <copy path="check.cpp" type="cpp.g++17"/>
            <testset>
                <test-count>0</test-count>
                <input-path-pattern>files/tests/checker-tests/%02d</input-path-pattern>
                <output-path-pattern>files/tests/checker-tests/%02d.o</output-path-pattern>
                <answer-path-pattern>files/tests/checker-tests/%02d.a</answer-path-pattern>
                <tests/>
            </testset>
        </checker>
        <validators>
            <validator>
                <source path="files/validator.cpp" type="cpp.g++17"/>
                <binary path="files/validator.exe" type="exe.win32"/>
                <testset>
                    <test-count>0</test-count>
                    <input-path-pattern>files/tests/validator-tests/%02d</input-path-pattern>
                    <tests/>
                </testset>
            </validator>
        </validators>
        <solutions>
            <solution tag="accepted">
                <source path="solutions/focusing_egor.rs" type="rust"/>
                <binary path="solutions/focusing_egor.exe" type="exe.win32"/>
            </solution>
            <solution tag="main">
                <source path="solutions/trigcalc_av.kt" type="kotlin"/>
                <binary path="solutions/trigcalc_av.jar" type="jar"/>
            </solution>
        </solutions>
    </assets>
    <properties>
        <property name="tests-wellformed" value="true"/>
    </properties>
    <stresses>
        <stress-count>0</stress-count>
        <stress-path-pattern>stresses/%03d</stress-path-pattern>
        <list/>
    </stresses>
    <tags>
        <tag value="constructive"/>
        <tag value="euclidean-algorithm"/>
        <tag value="trigonometry"/>
    </tags>
</problem>
